type Listener<T> = (data: T) => void;
declare class EventBus {
    private events;
    on<T>(event: string, listener: Listener<T>): void;
    off<T>(event: string, listener: Listener<T>): void;
    emit<T>(event: string, data: T): void;
}
export declare const ChatEventBus: EventBus;
export {};
